Package org.apache.sling.discovery.base.connectors.ping

# Interface ConnectorRegistry

All Known Implementing Classes:
  `ConnectorRegistryImpl`

public interface ConnectorRegistry
Registry for topology connector clients

## Method Summary

Modifier and Type
Method
Description
`Collection<TopologyConnectorClientInformation>`
`listOutgoingConnectors()`
Lists all outgoing topology connectors
`void`
`pingOutgoingConnectors(boolean force)`
ping all outgoing topology connectors
`TopologyConnectorClientInformation`
`registerOutgoingConnector(ClusterViewService clusterViewService, URL topologyConnectorEndpoint)`
Register an outgoing topology connector using the provided endpoint url
`boolean`
`unregisterOutgoingConnector(String id)`
Unregister an outgoing topology connector identified by the given (connector) id

## Method Details

### registerOutgoingConnector

TopologyConnectorClientInformation registerOutgoingConnector(ClusterViewService clusterViewService, URL topologyConnectorEndpoint)
Register an outgoing topology connector using the provided endpoint url

### listOutgoingConnectors

Collection<TopologyConnectorClientInformation> listOutgoingConnectors()
Lists all outgoing topology connectors

### pingOutgoingConnectors

void pingOutgoingConnectors(boolean force)
ping all outgoing topology connectors

### unregisterOutgoingConnector

boolean unregisterOutgoingConnector(String id)
Unregister an outgoing topology connector identified by the given (connector) id